import requests
url = "https://application_id.applications.lucidworks.com/ai/async-chunking/dynamic-sentence/{MODEL_ID}"
payload = {
"batch": [{ "text": "The content to be split into chunks. " }],
"modelConfig": {
"vectorQuantizationMethod": "min-max",
"dimReductionSize": 256
},
"useCaseConfig": { "dataType": "query" },
"chunkerConfig": {
"maxChunkSize": 512,
"overlapSize": 1
}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"chunkingId": "fc5e81a8-2105-442a-b8e0-796fbb89b04c",
"status": "SUBMITTED"
}Chunk using dynamic-sentence
The dynamic-sentence chunker (chunking strategy) splits the provided text into sentences. Sentences are joined until they reach the maxChunkSize. If overlapSize is provided, adjacent chunks will both have overlapping sentences on the sides.
import requests
url = "https://application_id.applications.lucidworks.com/ai/async-chunking/dynamic-sentence/{MODEL_ID}"
payload = {
"batch": [{ "text": "The content to be split into chunks. " }],
"modelConfig": {
"vectorQuantizationMethod": "min-max",
"dimReductionSize": 256
},
"useCaseConfig": { "dataType": "query" },
"chunkerConfig": {
"maxChunkSize": 512,
"overlapSize": 1
}
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"chunkingId": "fc5e81a8-2105-442a-b8e0-796fbb89b04c",
"status": "SUBMITTED"
}Headers
Bearer token used for authentication. Format: Authorization: Bearer ACCESS_TOKEN.
application/json
"application/json"
Path Parameters
Unique identifier for the model.
"gte-small"
Body
The batch of key:value pairs used in the chunking request.
Show child attributes
Show child attributes
Provides fields and values that specify ranges for tokens.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The dynamic-sentence chunker (chunking strategy) splits the provided text into sentences. Sentences are joined until they reach the maxChunkSize. If overlapSize is provided, adjacent chunks will both have overlapping sentences on the sides.
Example:
S1 S2 S3 -- -- S3 S4 S5 -- -- -- -- S5 S6 S7
This is the default chunker configuration if nothing is passed.
Show child attributes
Show child attributes
Response
OK
This is the response to the POST chunking request submitted for a specific chunker and modelId.
The universal unique identifier (UUID) returned in the POST request. This UUID is required in the GET request to retrieve results.
"441eb3be-7de6-470a-8141-e416a15c7db1"
The current status of the request. Allowed values are:
-
SUBMITTED - The POST request was successful and the response has returned the
chunkingIdandstatusthat is used by the GET request. -
ERROR - An error was generated when the GET request was sent.
-
READY - The results associated with the
chunkingIdare available and ready to be retrieved. -
RETRIEVED - The results associated with the
chunkingIdare returned successfully when the GET request was sent.
"SUBMITTED"
Was this page helpful?